<< rcosdesign | FOSSEE_Signal_Processing_Toolbox | rectwin >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > rectpuls

# rectpuls

Generates a Rectangular pulse based on the width and sampling times.

### Syntax

    [y]=rectpuls(t)
    [y]=rectpuls(t,w)

### Parameters

t:

  Real or complex valued vector or matrix

w:

  Real or complex valued vector or matrix

### Description

y = rectpuls(t) returns a continuous, aperiodic, unity-height rectangular pulse depending upon input t, centered about t=0 and having default width of 1. y = rectpuls(t,w) generates a rectangle of width w.

### Examples

    rectpuls([10 100 1000 13 839],27)

Report an issue
<< rcosdesign | FOSSEE_Signal_Processing_Toolbox | rectwin >>